#include <stdio.h>
#include <stdlib.h>

int sieve[201];
int primes[201];
int next;
int j;

int empty_sieve() {
  int i;
  int empty;
  i = 2;
  empty = 1;
  while (i < 200 - 1) {
    if (sieve[i]) {
      empty = 0;
      i = 200;
    }
    else
      i = i + 1;
  }
  return empty;
}

int main() {
  for (j = 0; j <= 200 - 1; j++)
    sieve [ j ] = 1;
  for (j = 0; j <= 200 - 1; j++)
    primes [ j ] = 0;
  putchar('r');
  printf("\n");
  next = 2;
  do {
    while (!sieve[next])
      next = next + 1;
    primes[next] = 1;
    j = next;
    while (j <= 200 - 1) {
      sieve [j] = 0;
      j = j + next;
    }
  } while (!(empty_sieve()));
  for (j = 2; j <= 200 - 1; j++)
    if (primes[j]) {
      printf("%d", j);
      putchar(32);
    }
  return 0;
}
